function submitForUpload() {
	if (!validateForUpload()) {
		return false;
	}
	
	addHiddenToForm('isTemporarySave', 1, 'editInterfaceSettings');
	
	try {
		document.forms['editInterfaceSettings'].submit();
	} catch (e) {
		alert(SbGetLocaleByKey('SELECT-FILE'));
	}
}

function validateForUpload() {
	if (validateField('SB_Validator.notEmpty', 'idUploadLogo', 'SELECT-FILE')
		&& extendedValidateField("SB_Validator.isRegex(document.getElementById('idUploadLogo').value, /\.(gif|jpe?g|png|bmp)$/i)", 'idUploadLogo', 'INVALID-FILE-TYPE')
	) {
		return true;
	} else {
		return false;
	}
}

function validateForm() {		
	if (validateFieldIfNotEmpty('SB_Validator.isUrl', 'logoLink', 'LINK-NOT-URL')) {
		return true;
	} else {
		return false;
	}
}

function submitForm() {	
	if (!validateForm()) {
		return false;
	}
	
	document.forms['editInterfaceSettings'].submit();
	return true;
}